---
title: "Get one contact memory entry"
url: https://docs.gleap.ai/en/reference/rest-api/get-sessions-sessionid-memory-entryname
method: GET
path: "/sessions/{sessionId}/memory/{entryName}"
api: "API Reference"
tag: "ContactMemory"
operationId: "GetEntry"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Get one contact memory entry

`GET https://api.gleap.io/v3/sessions/{sessionId}/memory/{entryName}`

Get the full content of a single memory entry.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `sessionId` (string, required)
- `entryName` (string, required)

## Headers

- `project` (string, required)

## Example request

```bash
curl --request GET \
  --url 'https://api.gleap.io/v3/sessions/{sessionId}/memory/{entryName}' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>'
```

## Responses

### 200 (`application/json`)

Ok

- `name` (string, required)
- `description` (string, required)
- `content` (string, required)
- `actor` (enum<string>, required): One of: `bot`, `draft_reply`, `copilot`, `admin`, `consolidation`, `unknown`.
- `actorUserId` (string)
- `createdAt` (string<date-time>, required)
- `updatedAt` (string<date-time>, required)

```json
{
  "name": "string",
  "description": "string",
  "content": "string",
  "actor": "bot",
  "actorUserId": "string",
  "createdAt": "2026-01-01T12:00:00Z",
  "updatedAt": "2026-01-01T12:00:00Z"
}
```
